Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.server.oauth.core
Class AuthenticationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.lyo.server.oauth.core.AuthenticationException

All Implemented Interfaces:
  Serializable

    public class AuthenticationException

extends Exception

An exception indicating that authentication failed.

Author:
  Samuel Padgett
See Also:
  `Application#login(String, char[])`, Serialized Form

Constructor Summary
`AuthenticationException()`
`AuthenticationException(String message)`
`AuthenticationException(String message, Throwable t)`
`AuthenticationException(Throwable t)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthenticationException

    public AuthenticationException()

### AuthenticationException

    public AuthenticationException(String message,
                                   Throwable t)

### AuthenticationException

    public AuthenticationException(String message)

### AuthenticationException

    public AuthenticationException(Throwable t)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.